require "smartling_xcode/xcode"
require "smartling_xcode/backend"
require "smartling_xcode/version"

module SmartlingXcode
    class Project
        attr_accessor :projectPath, :version, :sandbox

        def init
            api = API.new({:sandbox => @sandbox})
            api.requestCredentials
        end

        def extract
            project = Xcodeproj::Project.find(@projectPath)
            files = project.extract
            puts "\nOutput:"
            puts files
        end

        def push
            api = API.new({:sandbox => @sandbox})
            api.loadCredentials()
            project = Xcodeproj::Project.find(@projectPath)
            files = project.extract
            if @version.nil?
                @version = project.getVersion
            end
            api.pushStringsFromFiles(files, @version)
            puts "\nYour files are now available in the Files section of your Smartling project."
        end

        def getversion
            project = Xcodeproj::Project.find(@projectPath)
            @version = project.getVersion
            puts "Version #{@version} will be used."
        end
    end
end
